package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "药品注册名称")
public class MedRegName extends BaseNode  {

	@Property(name = "药品高危级别")
	private String risklevel;

	@Relationship(type = "药品相关药品注册名称", direction = Relationship.INCOMING)
	private Set<MedCodeName> medcodenames = new HashSet<>();

	@Relationship(type = "药品注册名称禁忌禁忌人群", direction = Relationship.OUTGOING)
	private Set<Group> group = new HashSet<>();

	@Relationship(type = "药品注册名称禁忌年龄", direction = Relationship.OUTGOING)
	private Set<Age> age = new HashSet<>();

	@Relationship(type = "药品注册名称禁忌疾病", direction = Relationship.OUTGOING)
	private Set<Disease> disease = new HashSet<>();

	@Relationship(type = "药品注册名称禁忌药物过敏原", direction = Relationship.OUTGOING)
	private Set<MedAllergen> medAllergens = new HashSet<>();


}