package com.diagbot.repository;

import com.diagbot.entity.node.Medicine;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface MedicineRepository extends Neo4jRepository<Medicine, Long> {

    List<Medicine> findByNameIs(String name);

    List<Medicine> findByNameContaining(String name);

    List<Medicine> findByNameIn(List<String> names);

    @Query("MATCH (n:药品通用名称) RETURN DISTINCT(KEYS(n))")
    List<String> getKeys();

}

